using System.Collections;
using System.Collections.Generic;
using UnityEngine.UI;
using UnityEngine;

public class UIManager : MonoBehaviour
{
	[SerializeField]
	private Text scoreText;

	public void ChandeScoreText(int value)
	{
		scoreText.text = value.ToString();
	}

	[SerializeField]
	private Text atomLifeText;

	public void ChangeAtomLife(int value)
	{
		atomLifeText.text = value.ToString();
	}

	[SerializeField]
	private Image energyBar;

	public void ChangeEnergyBarValue(float value, float maxValue)
	{
		energyBar.fillAmount = value / maxValue;
	}

}
